summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x.config/herbstluftwm/autostart90
-rw-r--r--.xinitrc2
2 files changed, 91 insertions, 1 deletions
diff --git a/.config/herbstluftwm/autostart b/.config/herbstluftwm/autostart
new file mode 100755
index 0000000..b206e41
--- /dev/null
+++ b/.config/herbstluftwm/autostart
@@ -0,0 +1,90 @@
+#!/bin/bash
+
+# this is a simple config for herbstluftwm
+
+function hc() {
+ herbstclient "$@"
+}
+
+xsetroot -solid '#000000'
+
+# keybindings
+Mod=Mod4
+hc keybind $Mod-Mod1-q quit
+hc keybind $Mod-Shift-r reload
+hc keybind $Mod-Shift-c close
+hc keybind $Mod-Return spawn urxvt
+hc keybind $Mod-d spawn dmenu_run
+
+# tags
+TAG_NAMES=( {1..9} )
+TAG_KEYS=( {1..9} 0 )
+
+hc rename default "${TAG_NAMES[0]}" || true
+for i in ${!TAG_NAMES[@]} ; do
+ hc add "${TAG_NAMES[$i]}"
+ key="${TAG_KEYS[$i]}"
+ if ! [ -z "$key" ] ; then
+ hc keybind "$Mod-$key" use "${TAG_NAMES[$i]}"
+ hc keybind "$Mod-Shift-$key" move "${TAG_NAMES[$i]}"
+ fi
+done
+
+# layout
+hc add_monitor 1280x1024+1680+0 2
+hc move_monitor 0 1680x1050+0+0
+
+# layouting
+hc keybind $Mod-r remove
+hc keybind $Mod-space cycle_layout 1
+hc keybind $Mod-u split vertical 0.5
+hc keybind $Mod-o split horizontal 0.5
+hc keybind $Mod-s floating toggle
+hc keybind $Mod-f fullscreen toggle
+hc keybind $Mod-p pseudotile toggle
+
+# resizing
+RESIZESTEP=0.05
+hc keybind $Mod-Control-h resize left +$RESIZESTEP
+hc keybind $Mod-Control-j resize down +$RESIZESTEP
+hc keybind $Mod-Control-k resize up +$RESIZESTEP
+hc keybind $Mod-Control-l resize right +$RESIZESTEP
+
+# mouse
+hc mousebind $Mod-Button1 move
+hc mousebind $Mod-Button2 resize
+hc mousebind $Mod-Button3 zoom
+
+# focus
+hc keybind $Mod-BackSpace cycle_monitor
+hc keybind $Mod-Tab cycle_all +1
+hc keybind $Mod-Shift-Tab cycle_all -1
+hc keybind $Mod-c cycle
+hc keybind $Mod-h focus left
+hc keybind $Mod-j focus down
+hc keybind $Mod-k focus up
+hc keybind $Mod-l focus right
+hc keybind $Mod-Shift-h shift left
+hc keybind $Mod-Shift-j shift down
+hc keybind $Mod-Shift-k shift up
+hc keybind $Mod-Shift-l shift right
+
+# colors
+hc set frame_border_active_color '#49351D'
+hc set frame_border_normal_color '#73532D'
+hc set frame_bg_normal_color '#BD9768'
+hc set frame_bg_active_color '#BD8541'
+hc set frame_border_width 2
+hc set window_border_width 2
+hc set window_border_normal_color '#AE8451'
+hc set window_border_active_color '#F6FF00'
+
+# rules
+hc unrule -F
+#hc rule class=XTerm tag=3 # move all xterms to tag 3
+hc rule focus=off # normally do not focus new clients
+# give focus to most common terminals
+hc rule class~'(.*[Rr]xvt.*|.*[Tt]erm|Konsole)' focus=on
+
+# panel
+/etc/xdg/herbstluftwm/panel.sh
diff --git a/.xinitrc b/.xinitrc
index 5305d1b..a0049d5 100644
--- a/.xinitrc
+++ b/.xinitrc
@@ -24,4 +24,4 @@ while :; do
done &
# -----[ Start session ]----------------------------------------------
-exec ck-launch-session ~/development/projects/dwm/dwm
+exec ck-launch-session /usr/bin/herbstluftwm